Mit Werkstoff Thema auf L -Vorschau

? Niek Haarman @ | Original: StackOverFlow

Die L Developer Preview ist derzeit auf API-Ebene 20. Allerdings scheint die Themen erfordern API-Ebene 21 .

@android:style/Theme.Material.Light.DarkActionBar Erfordert API-Ebene 21

Ist das ein Fehler, bin ich etwas falsch, oder ist es einfach nicht möglich, Werkstoff auf der L Vorschau benutzen?

Top 5 Antwort

1Niek Haarman @

Um näher auf @ Kommentare Panini ist, verwende ich in meinem build.gradle :

android {
    compileSdkVersion 'android-L'
    buildToolsVersion '20.0.0'

    defaultConfig {
        minSdkVersion 16
        targetSdkVersion 'L'
        versionName buildVersion.version
    }

/* ... */
}

Platzieren des styles.xml im Ordner values-v21, ermöglicht dem Thema auf dem L Vorschau laufen .